zxing requires >= android-8, only gen QR Codes on >= android-8
authorHans-Christoph Steiner <hans@eds.org>
Wed, 7 May 2014 21:07:45 +0000 (17:07 -0400)
committerHans-Christoph Steiner <hans@eds.org>
Wed, 7 May 2014 23:16:45 +0000 (19:16 -0400)
commit3c005006ce2f9f608430bd5860729ab4799c5ecd
treece53c868710ae95d635cb987c1db897825fd5c32
parent47d4526f05bd5485f717e25a2de3f40cfbc6d05a
zxing requires >= android-8, only gen QR Codes on >= android-8

The zxing library includes some Java 7 features, so it will only work on
Android SDK 8 (2.1) or above.  FDroid supports SDK 7 (2.0), so on 7, do not
try to generate QR Codes.
src/org/fdroid/fdroid/QrGenAsyncTask.java
src/org/fdroid/fdroid/views/LocalRepoActivity.java
src/org/fdroid/fdroid/views/QrWizardDownloadActivity.java
src/org/fdroid/fdroid/views/QrWizardWifiNetworkActivity.java